#!/bin/bash -e
set -x

if [ ! -d "Vc/" ]; then
    git clone https://github.com/VcDevel/Vc
else
    cd Vc
    git pull
    cd ..
fi

cd Vc
git checkout mkretz/datapar
cd ..

mkdir -p Vc/build
cd Vc/build
cmake -DCMAKE_INSTALL_PREFIX="$Vc_ROOT" -DCMAKE_BUILD_TYPE=release -DBUILD_TESTING=OFF ../
make -j ${BUILD_THREADS} VERBOSE=1 install
cd ../..
